#
# spec file for package libavc1394
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:           libavc1394
BuildRequires:  libraw1394-devel
BuildRequires:  libtool
BuildRequires:  pkgconfig
License:        LGPL-2.1+
Group:          Development/Libraries/C and C++
Version:        0.5.4
Release:        0
Summary:        Libavc1394--Programming Interface to the AV/C Specification
Url:            http://sourceforge.net/projects/libavc1394/
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source:         %{name}-%{version}.tar.bz2
Source2:        baselibs.conf
Patch:          libavc1394.no-mkrfc2734.patch
Patch1:         libavc1394.raw1394_set_fcp_handler.patch

%description
Libavc1394 is a programming interface to the AV/C specification from
the 1394 Trade Association. AV/C stands for Audio/Video Control.
Currently, applications use the library to control the tape transport
mechanism on DV camcorders. However, there are many devices and device
functions that can be controlled via AV/C. Eventually, the library will
be expanded to implement more of the specification and to provide a
high level interface to various devices.



Authors:
--------
    Dan Dennedy <dan@dennedy.org>
    Andreas Micklei <andreas.micklei@ivistar.de>
    Jason Howard <jason@spectsoft.com>
    Man page by Daniel Kobras <kobras@debian.org>

Libavc1394 is a programming interface to the AV/C specification from
the 1394 Trade Association. AV/C stands for Audio/Video Control.
Currently, applications use the library to control the tape transport
mechanism on DV camcorders. However, there are many devices and device
functions that can be controlled via AV/C. Eventually, the library will
be expanded to implement more of the specification and to provide a
high level interface to various devices.



Authors:
--------
    Dan Dennedy <dan@dennedy.org>
    Andreas Micklei <andreas.micklei@ivistar.de>
    Jason Howard <jason@spectsoft.com>
    Man page by Daniel Kobras <kobras@debian.org>

%package 0
Summary:        Libavc1394--Programming Interface to the AV/C Specification
# bug437293
%ifarch ppc64
Obsoletes:      libavc1394-64bit
%endif
#

%description 0
Libavc1394 is a programming interface to the AV/C specification from
the 1394 Trade Association. AV/C stands for Audio/Video Control.
Currently, applications use the library to control the tape transport
mechanism on DV camcorders. However, there are many devices and device
functions that can be controlled via AV/C. Eventually, the library will
be expanded to implement more of the specification and to provide a
high level interface to various devices.



Authors:
--------
    Dan Dennedy <dan@dennedy.org>
    Andreas Micklei <andreas.micklei@ivistar.de>
    Jason Howard <jason@spectsoft.com>
    Man page by Daniel Kobras <kobras@debian.org>

Libavc1394 is a programming interface to the AV/C specification from
the 1394 Trade Association. AV/C stands for Audio/Video Control.
Currently, applications use the library to control the tape transport
mechanism on DV camcorders. However, there are many devices and device
functions that can be controlled via AV/C. Eventually, the library will
be expanded to implement more of the specification and to provide a
high level interface to various devices.



Authors:
--------
    Dan Dennedy <dan@dennedy.org>
    Andreas Micklei <andreas.micklei@ivistar.de>
    Jason Howard <jason@spectsoft.com>
    Man page by Daniel Kobras <kobras@debian.org>

%package devel
Summary:        libavc1394 is a programming interface to the AV/C specification
# bug437293
%ifarch ppc64
Obsoletes:      libavc1394-devel-64bit
%endif
#
Requires:       libavc1394-0 = %{version}
Requires:       libraw1394-devel

%description devel
libavc1394 is a programming interface to the AV/C specification from
the 1394 Trade Association. AV/C stands for Audio/Video Control.
Currently, applications use the library to control the tape transport
mechanism on DV camcorders. However, there are many devices and
functions of devices that can be controlled via AV/C. Eventually, the
library will be expanded to implement more of the specification and to
provide high level interfaces to various devices.



Authors:
--------
    Dan Dennedy <dan@dennedy.org>
    Andreas Micklei <andreas.micklei@ivistar.de>
    Jason Howard <jason@spectsoft.com>
    Man page by Daniel Kobras <kobras@debian.org>

%prep
%setup  -q
%patch -p1
%patch1 -p1

%build
autoreconf -ifv
%configure --disable-static --with-pic
%{__make} %{?jobs:-j%jobs}

%install
make install DESTDIR=$RPM_BUILD_ROOT
%{__rm} -f %{buildroot}%{_libdir}/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post 0 -p /sbin/ldconfig

%postun 0 -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc README AUTHORS COPYING
%_mandir/man1/*
%attr(755,root,root)/usr/bin/*

%files 0
%defattr(-,root,root)
%_libdir/libavc1394.so.*
%_libdir/librom1394.so.*

%files devel
%defattr(-,root,root)
%_libdir/*.so
%_includedir/libavc1394
%_libdir/pkgconfig/*.pc

%changelog
